diff -ru BMSPlayer/src/aokai/app/BMSPayer/Game_test_sur.java BMSPlayer/src/aokai/app/BMSPayer/Game_test_sur.java
--- BMSPlayer/src/aokai/app/BMSPayer/Game_test_sur.java	2011-03-29 16:49:34.000000000 +0900
+++ BMSPlayer/src/aokai/app/BMSPayer/Game_test_sur.java	2012-10-09 23:54:19.375250000 +0900
@@ -1,5 +1,6 @@
 package aokai.app.BMSPayer;
 
+import android.annotation.TargetApi;
 import android.content.Context;
 import android.graphics.Bitmap;
 import android.graphics.BitmapFactory;
@@ -10,7 +11,9 @@
 
 import android.graphics.Rect;
 import android.graphics.Paint.Style;
+import android.media.AudioManager;
 import android.media.MediaPlayer;
+import android.media.SoundPool;
 import android.net.Uri;
 import android.util.Log;
 import android.view.SurfaceHolder;
@@ -30,7 +33,7 @@
 	public MediaPlayer BGM = null;
 	public static long now_time;
 	public int[] now_position = new int[9];
-	public int[] finish_position = new int[9];
+	public int[] finish_position = new int[10];
 	public Canvas canvas = new Canvas();
 	public Paint paint = new Paint();
 	private static Point[] keyPoint = new Point[9];
@@ -81,6 +84,9 @@
 	private int[] result_glaf = new int[100];
 	private int[] Hantei = new int[3];
 	private int Timing;//判定タイミング0 = ジャスト　-1 = slow 1 = fast
+	
+	private SoundPool sp = null;
+	private int[] soundIDs = null;
 
 	public Game_test_sur(Context context, Lite_BMSFile L_bms, int game_type) {
 		super(context);
@@ -89,7 +95,8 @@
 		// setBackgroundColor(Color.WHITE);
 		setFocusable(true);
 		BGM_load();
-		BGM.start();
+//		BGM.start();
+		initializeSoundPool(L_bms.file_path, L_bms.wav_files);
 		this.game_type = game_type;
 		Timing = 0;
 		now_Maxcombo = 0;
@@ -125,12 +132,14 @@
 			button[i] = new Buttons();
 			line_eff_count[i] = 0;
 		}
-		finishtime = BGM.getDuration() + sleeptime;
+//		finishtime = BGM.getDuration() + sleeptime;
+		finishtime = L_bms.finishtime + sleeptime;
 
 		for (i = 0; i < 9; i++) {
 			now_position[i] = 0;
 			finish_position[i] = 0;
 		}
+		finish_position[9] = 0;
 		// ゲージ履歴の初期化
 		for (i = 0; i < 100; i++) {
 			result_glaf[0] = 0;
@@ -188,6 +197,7 @@
 		holder.setFixedSize(getWidth(), getHeight());
 	}
 
+	@TargetApi(5)
 	@Override
 	public boolean onTouchEvent(MotionEvent event) {
 		pointerCount = event.getPointerCount();
@@ -298,7 +308,7 @@
 			// sleeptimeの間(曲が流れていない時)のnow_timeの更新
 			now_time = System.currentTimeMillis() - start_time;
 			if (now_time >= sleeptime) {
-				BGM.start();
+//				BGM.start();
 				type = true;
 			}
 		} else {
@@ -329,6 +339,7 @@
 		for (i = 0; i < 8; i++) {
 			if (button[i].push_flag == true) {
 				if (L_bms.chkey[i][finish_position[i]] - now_time < 100) {
+					sp.play(soundIDs[L_bms.sounds[i][finish_position[i]]], 1, 1, 0, 0, 1);
 					if (L_bms.chkey[i][finish_position[i]] - now_time < 40
 							&& L_bms.chkey[i][finish_position[i]] - now_time > -40) {
 						Hantei[2]++;
@@ -358,6 +369,11 @@
 				button[i].push_flag = false;
 			}
 		}
+		// BGM
+		if (L_bms.chkey[9][finish_position[9]] < now_time) {
+			sp.play(soundIDs[L_bms.sounds[9][finish_position[9]]], 1, 1, 0, 0, 1);
+			finish_position[9]++;
+		}
 		// 最後の小節ラインが降ったら終了(これが呼ばれるとループを抜ける)
 		if (L_bms.chkey[8][finish_position[8]] == 999999) {
 			int temp = 0;
@@ -754,6 +770,16 @@
 			toast.show();
 		}
 	}
+	
+	private void initializeSoundPool(String file_path, String[] wav_files) {
+		sp = new SoundPool(wav_files.length, AudioManager.STREAM_MUSIC, 0);
+		soundIDs = new int[wav_files.length];
+		for (int i = 0; i < wav_files.length; i++) {
+			if (wav_files[i] != null) {
+				soundIDs[i] = sp.load(file_path + "/" + wav_files[i], 1);
+			}
+		}
+	}
 
 	private static class Point {
 		public int x;
@@ -767,12 +793,13 @@
 
 	public void surfaceDestroyed(SurfaceHolder holder) {
 		tread_flag = false;
+		sp.release();
 	}
 
 	public void surfaceCreated(SurfaceHolder holder) {
 		setClickable(true);
 		setFocusable(true);
-		for (i = 0; i < 9; i++) {
+		for (i = 0; i < L_bms.chkey.length; i++) {
 			for (j = 0; j < L_bms.chkey[i].length; j++) {
 				if (L_bms.chkey[i][j] == 999999) {
 					break;
diff -ru BMSPlayer/src/aokai/app/BMSPayer/Lite_BMSFile.java BMSPlayer/src/aokai/app/BMSPayer/Lite_BMSFile.java
--- BMSPlayer/src/aokai/app/BMSPayer/Lite_BMSFile.java	2011-02-14 12:16:44.000000000 +0900
+++ BMSPlayer/src/aokai/app/BMSPayer/Lite_BMSFile.java	2012-10-09 23:36:05.952352000 +0900
@@ -9,4 +9,7 @@
 	public float TOTAL;
 	public long[][] chkey;
 	public String TITLE;
+	public String[] wav_files;
+	public Integer[][] sounds;
+	public long finishtime;
 }
diff -ru BMSPlayer/src/aokai/app/BMSPayer/Main.java BMSPlayer/src/aokai/app/BMSPayer/Main.java
--- BMSPlayer/src/aokai/app/BMSPayer/Main.java	2011-02-25 13:35:36.000000000 +0900
+++ BMSPlayer/src/aokai/app/BMSPayer/Main.java	2012-10-09 23:54:19.377547000 +0900
@@ -326,7 +326,7 @@
 	}
 
 	public void make_folder() {
-		if (newfile.mkdir()) {
+		if (newfile.mkdirs()) {
 			Toast toast = Toast.makeText(this, "ディレクトリの作成に成功しました",
 					Toast.LENGTH_SHORT);
 			toast.show();
@@ -485,4 +485,11 @@
 		}
 		listView.setSelectionFromTop(topPosition, topPositionY);
 	}
+	
+	@Override
+	protected void onDestroy() {
+		db.close();
+		super.onDestroy();
+	}
+	
 }
\ ファイル末尾に改行がありません
diff -ru BMSPlayer/src/aokai/app/BMSPayer/Preferences.java BMSPlayer/src/aokai/app/BMSPayer/Preferences.java
--- BMSPlayer/src/aokai/app/BMSPayer/Preferences.java	2011-02-10 05:29:04.000000000 +0900
+++ BMSPlayer/src/aokai/app/BMSPayer/Preferences.java	2012-10-09 23:54:19.378307000 +0900
@@ -96,7 +96,8 @@
 				
 				AlertDialog.Builder builder = new AlertDialog.Builder(Preferences.this);
 				builder.setTitle("匠について");
-				builder.setMessage("ver0.0008\n私です\n\nSpecial Thanks!!\nIcon:らっしー様")
+//				builder.setMessage("ver0.0008\n私です\n\nSpecial Thanks!!\nIcon:らっしー様")
+				builder.setMessage("ver0.0008\n私です\n\nModified by\nNang\n\nSpecial Thanks!!\nIcon:らっしー様")
 				       .setCancelable(false)
 				       .setPositiveButton("OK", new DialogInterface.OnClickListener() {
 				           public void onClick(DialogInterface dialog, int id) {
diff -ru BMSPlayer/src/aokai/app/BMSPayer/Read_BMSFile.java BMSPlayer/src/aokai/app/BMSPayer/Read_BMSFile.java
--- BMSPlayer/src/aokai/app/BMSPayer/Read_BMSFile.java	2011-02-14 12:17:16.000000000 +0900
+++ BMSPlayer/src/aokai/app/BMSPayer/Read_BMSFile.java	2012-10-09 23:54:19.384476000 +0900
@@ -6,6 +6,8 @@
 import java.io.InputStreamReader;
 import java.util.ArrayList;
 import java.util.List;
+import java.util.regex.Matcher;
+import java.util.regex.Pattern;
 
 public class Read_BMSFile extends Read_HEADERFile {
 	/**
@@ -36,7 +38,7 @@
 	public List<Long> chkey06 = new ArrayList<Long>();
 	public List<Long> chkey07 = new ArrayList<Long>();
 	public List<Long> chBar = new ArrayList<Long>();
-
+	public List<Long> chBgm = new ArrayList<Long>();
 
 	private int BMS_Start_time;// BGMをスタートさせる時間…後々すべての要素から引くべきだじょ
 	private int ch;// チャンネルを一時的に保存
@@ -46,6 +48,18 @@
 	private long time_length;// 1小節の長さ
 	private int line_length;
 
+	private Pattern wav_pattern = Pattern.compile("#wav([0-9A-Za-z]{2}) (.*)", Pattern.CASE_INSENSITIVE);
+	private String[] wav_files = new String[1296];
+	private List<Integer> sound_key01 = new ArrayList<Integer>();
+	private List<Integer> sound_key02 = new ArrayList<Integer>();
+	private List<Integer> sound_key03 = new ArrayList<Integer>();
+	private List<Integer> sound_key04 = new ArrayList<Integer>();
+	private List<Integer> sound_key05 = new ArrayList<Integer>();
+	private List<Integer> sound_key06 = new ArrayList<Integer>();
+	private List<Integer> sound_key07 = new ArrayList<Integer>();
+	private List<Integer> sound_key_S = new ArrayList<Integer>();
+	private List<Integer> sound_bgm = new ArrayList<Integer>();
+
 	public Read_BMSFile() {
 		BMS_Start_time = 0;
 		now_Bar = 0;
@@ -83,40 +97,54 @@
 	@Override
 	public Boolean read_line(String line) {
 		Boolean boo;
+		Matcher m;
 		if ((boo = super.read_line(line)) == true) {
 			return boo;
 		}
-		if (read_type == 1) {
-			if (line.indexOf("#WAV") != -1) {
+//		if (read_type == 1) {
+			m = wav_pattern.matcher(line);
+			if (m.find()) {
 				music_File = line.substring(7, line.length());
+				wav_files[Integer.parseInt(m.group(1), 36)] = m.group(2);
 				return true;
 			}
-		}
+//		}
 		/****** ☆彡私が馬鹿なため小節数は順番にならんでいると考えてプログラムを組むとする☆彡あはっ！ ******/
-		if (read_type == 2) {
-			if (line.indexOf("#") != -1) {
-				ch = Integer.parseInt(line.substring(4, 6));
+//		if (read_type == 2) {
+			m = ch_pattern.matcher(line);
+			if (m.find()) {
+				ch = Integer.parseInt(m.group(2));
 				temp_Bar = Integer.parseInt(line.substring(1, 4));
-				if (temp_Bar != now_Bar) {
+				if (temp_Bar > now_Bar) {
 					while (temp_Bar > now_Bar) {
 						now_time += time_length;
 						chBar.add((long) now_time);
 						time_length = (long) (240000 / BPM);
 						now_Bar++;
 					}
+				} else if (temp_Bar < now_Bar) {
+					return false;
 				}
 				/* 01 BGM #aaabb:cccc */
 				if (ch == 01) {
-					if (BMS_Start_time == 0) {
-						line_length = (line.length() - 7);
-						for (int i = 0; i < line_length; i += 2) {
-							if (Integer.parseInt(line.substring(7 + i, 9 + i)) != 00) {
-								BMS_Start_time = (int) (time_length * i
-										/ line_length + now_time);
-							}
+//					if (BMS_Start_time == 0) {
+//						line_length = (line.length() - 7);
+//						for (int i = 0; i < line_length; i += 2) {
+//							if (Integer.parseInt(line.substring(7 + i, 9 + i)) != 00) {
+//								BMS_Start_time = (int) (time_length * i
+//										/ line_length + now_time);
+//							}
+//						}
+//						return true;
+//					}
+					line_length = (line.length() - 7);
+					for (int i = 0; i < line_length; i += 2) {
+						if (Integer.parseInt(line.substring(7 + i, 9 + i), 36) != 00) {
+							chBgm.add((long) (time_length * i / line_length + now_time));
+							sound_bgm.add(Integer.parseInt(line.substring(7 + i, 9 + i), 36));
 						}
-						return true;
 					}
+					return true;
 				}
 				/* 02 小節長変更 */
 				if (ch == 02) {
@@ -134,8 +162,9 @@
 				if (ch == 11) {
 					line_length = (line.length() - 7);
 					for (int i = 0; i < line_length; i += 2) {
-						if (Integer.parseInt(line.substring(7 + i, 9 + i)) != 00) {
+						if (Integer.parseInt(line.substring(7 + i, 9 + i), 36) != 00) {
 							chkey01.add((long) (time_length * i / line_length + now_time));
+							sound_key01.add(Integer.parseInt(line.substring(7 + i, 9 + i), 36));
 						}
 					}
 					return true;
@@ -143,8 +172,9 @@
 				if (ch == 12) {
 					line_length = (line.length() - 7);
 					for (int i = 0; i < line_length; i += 2) {
-						if (Integer.parseInt(line.substring(7 + i, 9 + i)) != 00) {
+						if (Integer.parseInt(line.substring(7 + i, 9 + i), 36) != 00) {
 							chkey02.add((long) (time_length * i / line_length + now_time));
+							sound_key02.add(Integer.parseInt(line.substring(7 + i, 9 + i), 36));
 						}
 					}
 					return true;
@@ -152,8 +182,9 @@
 				if (ch == 13) {
 					line_length = (line.length() - 7);
 					for (int i = 0; i < line_length; i += 2) {
-						if (Integer.parseInt(line.substring(7 + i, 9 + i)) != 00) {
+						if (Integer.parseInt(line.substring(7 + i, 9 + i), 36) != 00) {
 							chkey03.add((long) (time_length * i / line_length + now_time));
+							sound_key03.add(Integer.parseInt(line.substring(7 + i, 9 + i), 36));
 						}
 					}
 					return true;
@@ -161,8 +192,9 @@
 				if (ch == 14) {
 					line_length = (line.length() - 7);
 					for (int i = 0; i < line_length; i += 2) {
-						if (Integer.parseInt(line.substring(7 + i, 9 + i)) != 00) {
+						if (Integer.parseInt(line.substring(7 + i, 9 + i), 36) != 00) {
 							chkey04.add((long) (time_length * i / line_length + now_time));
+							sound_key04.add(Integer.parseInt(line.substring(7 + i, 9 + i), 36));
 						}
 					}
 					return true;
@@ -170,8 +202,9 @@
 				if (ch == 15) {
 					line_length = (line.length() - 7);
 					for (int i = 0; i < line_length; i += 2) {
-						if (Integer.parseInt(line.substring(7 + i, 9 + i)) != 00) {
+						if (Integer.parseInt(line.substring(7 + i, 9 + i), 36) != 00) {
 							chkey05.add((long) (time_length * i / line_length + now_time));
+							sound_key05.add(Integer.parseInt(line.substring(7 + i, 9 + i), 36));
 						}
 					}
 					return true;
@@ -179,8 +212,9 @@
 				if (ch == 16) {
 					line_length = (line.length() - 7);
 					for (int i = 0; i < line_length; i += 2) {
-						if (Integer.parseInt(line.substring(7 + i, 9 + i)) != 00) {
+						if (Integer.parseInt(line.substring(7 + i, 9 + i), 36) != 00) {
 							chkey_S.add((long) (time_length * i / line_length + now_time));
+							sound_key_S.add(Integer.parseInt(line.substring(7 + i, 9 + i), 36));
 						}
 					}
 					return true;
@@ -188,8 +222,9 @@
 				if (ch == 18) {
 					line_length = (line.length() - 7);
 					for (int i = 0; i < line_length; i += 2) {
-						if (Integer.parseInt(line.substring(7 + i, 9 + i)) != 00) {
+						if (Integer.parseInt(line.substring(7 + i, 9 + i), 36) != 00) {
 							chkey06.add((long) (time_length * i / line_length + now_time));
+							sound_key06.add(Integer.parseInt(line.substring(7 + i, 9 + i), 36));
 						}
 					}
 					return true;
@@ -197,14 +232,15 @@
 				if (ch == 19) {
 					line_length = (line.length() - 7);
 					for (int i = 0; i < line_length; i += 2) {
-						if (Integer.parseInt(line.substring(7 + i, 9 + i)) != 00) {
+						if (Integer.parseInt(line.substring(7 + i, 9 + i), 36) != 00) {
 							chkey07.add((long) (time_length * i / line_length + now_time));
+							sound_key07.add(Integer.parseInt(line.substring(7 + i, 9 + i), 36));
 						}
 					}
 					return true;
 				}
 			}
-		}
+//		}
 		if (line.indexOf("MAIN DATA") != -1) {
 			if (LNOBJ == false) {
 				read_type = 2;
@@ -238,8 +274,10 @@
 			max_size = chkey_S.size();
 		if (max_size < chBar.size())
 			max_size = chBar.size();
+		if (max_size < chBgm.size())
+			max_size = chBgm.size();
 
-		L_bms.chkey = new long[9][max_size + 4];
+		L_bms.chkey = new long[10][max_size + 4];
 		for (i = 0; i < chkey01.size(); i++) {
 			L_bms.chkey[1][i] = chkey01.get(i) - BMS_Start_time;
 		}
@@ -286,6 +324,12 @@
 		L_bms.chkey[8][i] = (long) (L_bms.chkey[8][i - 1] + 240000 / BPM);
 		L_bms.chkey[8][i + 1] = (long) (L_bms.chkey[8][i] + 240000 / BPM);
 		L_bms.chkey[8][i + 2] = 999999;
+		L_bms.finishtime = L_bms.chkey[8][i + 1];
+		
+		for (i = 0; i < chBgm.size(); i++) {
+			L_bms.chkey[9][i] = chBgm.get(i) - BMS_Start_time;
+		}
+		L_bms.chkey[9][i] = 999999;
 
 		L_bms.Max_noat = Max_Noat;
 		if (TOTAL == -1) {
@@ -294,6 +338,18 @@
 			L_bms.TOTAL = TOTAL;
 		}
 		L_bms.TITLE = TITLE;
+		
+		L_bms.wav_files = wav_files;
+		L_bms.sounds = new Integer[10][max_size];
+		L_bms.sounds[0] = sound_key_S.toArray(new Integer[0]);
+		L_bms.sounds[1] = sound_key01.toArray(new Integer[0]);
+		L_bms.sounds[2] = sound_key02.toArray(new Integer[0]);
+		L_bms.sounds[3] = sound_key03.toArray(new Integer[0]);
+		L_bms.sounds[4] = sound_key04.toArray(new Integer[0]);
+		L_bms.sounds[5] = sound_key05.toArray(new Integer[0]);
+		L_bms.sounds[6] = sound_key06.toArray(new Integer[0]);
+		L_bms.sounds[7] = sound_key07.toArray(new Integer[0]);
+		L_bms.sounds[9] = sound_bgm.toArray(new Integer[0]);
 		return L_bms;
 	}
 }
diff -ru BMSPlayer/src/aokai/app/BMSPayer/Read_HEADERFile.java BMSPlayer/src/aokai/app/BMSPayer/Read_HEADERFile.java
--- BMSPlayer/src/aokai/app/BMSPayer/Read_HEADERFile.java	2011-02-19 19:04:16.000000000 +0900
+++ BMSPlayer/src/aokai/app/BMSPayer/Read_HEADERFile.java	2012-10-09 23:54:19.386916000 +0900
@@ -5,6 +5,8 @@
 import java.io.IOException;
 import java.io.InputStreamReader;
 import java.io.Serializable;
+import java.util.regex.Matcher;
+import java.util.regex.Pattern;
 
 import android.graphics.Color;
 import android.util.Log;
@@ -60,6 +62,8 @@
 	public int CLEAR;
 	public int MISS;
 	public int MAXCOMBO;
+	
+	protected Pattern ch_pattern = Pattern.compile("#([0-9]{3})([0-9]{2}):([0-9A-Za-z]*)");
 
 	public Read_HEADERFile() {
 		file_path = "";
@@ -125,16 +129,16 @@
 	public Boolean read_line(String line) {
 		int ch;
 		int line_length;
-		if (read_type == 1) {
-			if (line.indexOf("#PLAYER") != -1) {
+//		if (read_type == 1) {
+			if (line.toUpperCase().indexOf("#PLAYER") != -1) {
 				PLAYER = Integer.parseInt(line.substring(8, line.length()));
 				return true;
 			}
-			if (line.indexOf("#GENRE") != -1) {
+			if (line.toUpperCase().indexOf("#GENRE") != -1) {
 				GENRE = line.substring(7, line.length());
 				return true;
 			}
-			if (line.indexOf("#TITLE") != -1) {
+			if (line.toUpperCase().indexOf("#TITLE") != -1) {
 				int num;
 				if ((num = line.indexOf("-")) != -1
 						|| (num = line.indexOf("～")) != -1
@@ -151,15 +155,15 @@
 					return true;
 				}
 			}
-			if (line.indexOf("#SUBTITLE") != -1) {
+			if (line.toUpperCase().indexOf("#SUBTITLE") != -1) {
 				SUBTITLE = line.substring(10, line.length());
 				return true;
 			}
-			if (line.indexOf("#ARTIST") != -1) {
+			if (line.toUpperCase().indexOf("#ARTIST") != -1) {
 				ARTIST = line.substring(8, line.length());
 				return true;
 			}
-			if (line.indexOf("#BPM") != -1) {
+			if (line.toUpperCase().indexOf("#BPM") != -1) {
 				try {
 					BPM = Integer.parseInt(line.substring(5, line.length()));
 				} catch (NumberFormatException e) {
@@ -167,53 +171,53 @@
 				}
 				return true;
 			}
-			if (line.indexOf("#PLAYLEVEL") != -1) {
+			if (line.toUpperCase().indexOf("#PLAYLEVEL") != -1) {
 				PLAYLEVEL = Integer.parseInt(line.substring(11, line.length()));
 				return true;
 			}
-			if (line.indexOf("#LNTYPE") != -1) {
+			if (line.toUpperCase().indexOf("#LNTYPE") != -1) {
 				LNTYPE = true;
 				return true;
 			}
-			if (line.indexOf("#LNOBJ") != -1) {
+			if (line.toUpperCase().indexOf("#LNOBJ") != -1) {
 				// TODO　このあとに番号がくるからそこを修正すべし☆彡
 				LNOBJ = true;
 				return true;
 			}
-			if (line.indexOf("#RANK") != -1) {
+			if (line.toUpperCase().indexOf("#RANK") != -1) {
 				RANK = Integer.parseInt(line.substring(6, line.length()));
 				return true;
 			}
-			if (line.indexOf("#TOTAL") != -1) {
+			if (line.toUpperCase().indexOf("#TOTAL") != -1) {
 				TOTAL = Float.parseFloat(line.substring(7, line.length()));
 				return true;
 			}
-			if (line.indexOf("#DIFFICULTY") != -1) {
+			if (line.toUpperCase().indexOf("#DIFFICULTY") != -1) {
 				DIFFICULTY = Integer
 						.parseInt(line.substring(12, line.length()));
 				return true;
 			}
-			if (line.indexOf("#STAGEFILE") != -1) {
+			if (line.toUpperCase().indexOf("#STAGEFILE") != -1) {
 				STAGEFILE = true;
 				return true;
 			}
-		}
-		if (read_type == 2) {
-			if (line.indexOf("#") != -1) {
-				ch = Integer.parseInt(line.substring(4, 6));
+//		}
+//		if (read_type == 2) {
+			Matcher m = ch_pattern.matcher(line);
+			if (m.find()) {
+				ch = Integer.parseInt(m.group(2));
 				if (ch == 11 || ch == 12 || ch == 13 || ch == 14 || ch == 15
 						|| ch == 16 || ch == 18 || ch == 19) {
 					line_length = (line.length() - 7);
 					for (int i = 0; i < line_length; i += 2) {
-						if (Integer.parseInt(line.substring(7 + i, 9 + i), 16) != Integer
-								.parseInt("00", 16)) {
+						if (Integer.parseInt(line.substring(7 + i, 9 + i), 36) != 00) {
 							Max_Noat++;
 						}
 					}
 					return false;
 				}
 			}
-		}
+//		}
 		if (line.indexOf("MAIN DATA") != -1) {
 			if (LNOBJ == false) {
 				read_type = 2;
